html {
    box-sizing: border-box;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

html,
body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
}

body {
    background: #ffffff url('../img/geometry2.png'); /* Background pattern from Subtle Patterns */
    font-family: 'Coda', cursive;
    max-width: 100%;
}

.container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

h1 {
    font-family: 'Open Sans', sans-serif;
    font-weight: 300;
}

/*
 * Styles for the deck of cards
 */

.deck {
    width: 660px;
    min-height: 680px;
    background: linear-gradient(160deg, #02ccba 0%, #aa7ecd 100%);
    padding: 32px;
    border-radius: 10px;
    box-shadow: 12px 15px 20px 0 rgba(46, 61, 73, 0.5);
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    margin: 0 0 3em;
}

.card {
    height: 125px;
    width: 125px;
    background-image: linear-gradient(180deg, #e81f3f, #f93c3c, #e81f3f, #f93c3c, #e81f3f);
    border: 3px solid #fff;
    font-size: 0;
    color: #ffffff;
    border-radius: 8px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 5px 2px 20px 0 rgba(46, 61, 73, 0.5);
}

.show {
    transform: rotateY(180deg) scale(1.15, 1.15);
    transition: transform 0.5s linear;
    background: #0073e5;
    border: 3px solid #fff;
    cursor: default;
    pointer-events: none; /* disables mouse events for cards with this class */
    font-size: 33px;
}

.match {
    cursor: default;
    background: #00ff19;
    border: 3px solid #fff;
    font-size: 33px;
    transform: scale(0.85, 0.85);
    transition: transform 0.5s linear;
}

.close {
    transform: scale(1, 1);
    transition: transform 0.5s linear;
    font-size: 0px;
    cursor: pointer;
}

/*
 * Styles for the Score Panel
 */

.score-panel {
    text-align: left;
    width: 360px;
    margin-bottom: 10px;
}

.time {
    padding-left: 2em;
}

.score-panel .stars {
    margin: 0;
    padding: 0;
    display: inline-block;
    margin: 0 5px 0 0;
}

.score-panel .stars li {
    list-style: none;
    display: inline-block;
}

.hide {
    transform: scale(0.4, 0.4);
    transition: transform 0.3s linear;
  }

.reset {
    float: right;
    cursor: pointer;
  }


/* Styles for the modal box */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modalContent {
    background-color: #ccffff;
    margin: 15% auto; /* 15% from the top and centered */
    padding: 20px;
    border: 1px solid #888;
    border-radius: 8px;
    width: 80%;
}

.closeX:hover,
.closeX:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}
